Subject: Re: bug#34080: 27.0.50, 26.1; undocumented key bindings for *vc-diff*

From: Stefan Monnier <[email-masked]>
Date: Fri, 18 Jul 2025 09:24:31 -0400

> I spent some time seeing how this change would be implemented and I now
> think that, instead, diff-minor-mode should be renamed
> diff-read-only-mode.  Am I right that diff-minor-mode is only intended
> as a way to add bindings when diff-mode buffers are read-only?

No, `diff-minor-mode` is intended for use in buffers that need to use
another major mode than `diff-mode`.
[ Like the difference between `outline-mode` and `outline-minor-mode`.  ]

Not sure how important it is in practice: IIRC, I implemented this
because it existed in other people's "diff modes" (when I started
diff-mode I tried to make it a superset of all the diff/patch modes
I could find), rather than because I saw a need for it.

        Stefan